commit:     ab1b86f72bb3cc45af0a3316feffe774ac54ef6a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  3 09:39:20 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug  3 09:40:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab1b86f7

dev-util/xdelta: Use py3 and new automake in 3.1.0

Closes: https://bugs.gentoo.org/735330
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/xdelta/xdelta-3.1.0.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-util/xdelta/xdelta-3.1.0.ebuild 
b/dev-util/xdelta/xdelta-3.1.0.ebuild
index 5e4c9b097d6..284a0785278 100644
--- a/dev-util/xdelta/xdelta-3.1.0.ebuild
+++ b/dev-util/xdelta/xdelta-3.1.0.ebuild
@@ -1,10 +1,9 @@
 # Copyright 2002-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
 
-WANT_AUTOMAKE=1.14
 inherit autotools python-any-r1
 
 MY_P=xdelta3-${PV}
@@ -33,12 +32,13 @@ src_prepare() {
        eapply_user
 
        # huh
+       2to3 -w -n --no-diffs testing/*.py || die
        sed -i -e '/python/s:2.6:2:' testing/xdelta3-regtest.py || die
        sed -i -e '/python/s:2.7:2:' testing/xdelta3-test.py || die
 
        # only build tests when required
        sed -i -e '/xdelta3regtest/s:noinst_P:check_P:' Makefile.am || die
-       eautomake
+       eautoreconf
 }
 
 src_test() {

Reply via email to